import discord
from discord.ext import commands
from commands import setup_commands
from dotenv import load_dotenv
import os

load_dotenv()

intents = discord.Intents.default()
intents.messages = True
intents.message_content = True
intents.guilds = True
intents.voice_states = True


class AmberClient(discord.Client):
    def __init__(self):
        super().__init__(intents=intents)
        self.tree = discord.app_commands.CommandTree(self)

    async def setup_hook(self):
        # Register commands
        await setup_commands(self)

    async def on_ready(self):
        print(f"Amber is online as {self.user}")


# Initialize the bot
client = AmberClient()


# Run the bot
TOKEN = os.getenv("DISCORD_TOKEN")
client.run(TOKEN)
